org.apache.maven.artifact.resolver.filter

## Class IncludesArtifactFilter

- java.lang.Object
- - org.apache.maven.artifact.resolver.filter.IncludesArtifactFilter

- All Implemented Interfaces:
    ArtifactFilter
  Direct Known Subclasses:
    ExcludesArtifactFilter

      public class IncludesArtifactFilter
      extends java.lang.Object
      implements ArtifactFilter

  Filter to include from a list of artifact patterns.
  Version:
    $Id: IncludesArtifactFilter.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncludesArtifactFilter(java.util.List patterns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `include(Artifact artifact)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncludesArtifactFilter

          public IncludesArtifactFilter(java.util.List patterns)

  - ### Method Detail

    - #### include

          public boolean include(Artifact artifact)

      Specified by:
        `include` in interface `ArtifactFilter`